Loading...
Searching...
No Matches
BALL::MMFF94NonBonded Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94NonBonded.h>`

Inheritance diagram for BALL::MMFF94NonBonded:

## Classes

struct | NonBondedPairData

## Public Member Functions

| MMFF94NonBonded ()
| Default constructor.
| MMFF94NonBonded (ForceField &force_field)
| Constructor.
| MMFF94NonBonded (const MMFF94NonBonded &MMFF94_non_bonded)
| Copy constructor.
virtual | ~MMFF94NonBonded ()
| Destructor.
const MMFF94NonBonded & | operator= (const MMFF94NonBonded &anb)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | operator== (const MMFF94NonBonded &anb)
| Equality operator.
virtual bool | setup ()
virtual double | updateEnergy ()
| Calculates and returns the component's energy.
virtual void | updateForces ()
| Calculates and returns the component's forces.
virtual void | update ()
virtual MolmecSupport::PairListAlgorithmType | determineMethodOfAtomPairGeneration ()
| Computes the most efficient way to calculate the non-bonded atom pairs.
const ForceField::PairVector & | getAtomPairs () const
const vector< NonBondedPairData > & | getNonBondedData () const
double | getVDWEnergy () const
double | getESEnergy () const
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Protected Attributes

double | es_energy_
double | vdw_energy_
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const

## Detailed Description

MMFF94 NonBonded (VdW + Electrostatic) component

Definition at line 31 of file MMFF94NonBonded.h.

## Constructor & Destructor Documentation

## MMFF94NonBonded() [1/3]

BALL::MMFF94NonBonded::MMFF94NonBonded | ( |  | ) |

Default constructor.

## MMFF94NonBonded() [2/3]

BALL::MMFF94NonBonded::MMFF94NonBonded | ( | ForceField & | force_field | ) |

Constructor.

## MMFF94NonBonded() [3/3]

BALL::MMFF94NonBonded::MMFF94NonBonded | ( | const MMFF94NonBonded & | MMFF94_non_bonded | ) |

Copy constructor.

## ~MMFF94NonBonded()

virtual BALL::MMFF94NonBonded::~MMFF94NonBonded | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::MMFF94NonBonded::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## determineMethodOfAtomPairGeneration()

virtual MolmecSupport::PairListAlgorithmType BALL::MMFF94NonBonded::determineMethodOfAtomPairGeneration | ( |  | ) |

virtual

Computes the most efficient way to calculate the non-bonded atom pairs.

## getAtomPairs()

const ForceField::PairVector & BALL::MMFF94NonBonded::getAtomPairs | ( |  | ) | const

inline

Definition at line 114 of file MMFF94NonBonded.h.

## getESEnergy()

double BALL::MMFF94NonBonded::getESEnergy | ( |  | ) | const

## getNonBondedData()

const vector< NonBondedPairData > & BALL::MMFF94NonBonded::getNonBondedData | ( |  | ) | const

inline

Definition at line 117 of file MMFF94NonBonded.h.

## getVDWEnergy()

double BALL::MMFF94NonBonded::getVDWEnergy | ( |  | ) | const

## operator=()

const MMFF94NonBonded & BALL::MMFF94NonBonded::operator= | ( | const MMFF94NonBonded & | anb | ) |

Assignment operator.

## operator==()

bool BALL::MMFF94NonBonded::operator== | ( | const MMFF94NonBonded & | anb | ) |

Equality operator.

## setup()

virtual bool BALL::MMFF94NonBonded::setup | ( |  | ) |

virtual

Setup method.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## update()

virtual void BALL::MMFF94NonBonded::update | ( |  | ) |

virtual

Update the pair list. This method is called by the force field whenever ForceField::update is called. It is used to recalculate the nonbonded pair list.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## updateEnergy()

virtual double BALL::MMFF94NonBonded::updateEnergy | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::MMFF94NonBonded::updateForces | ( |  | ) |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.

## Member Data Documentation

## es_energy_

double BALL::MMFF94NonBonded::es_energy_

protected

Definition at line 128 of file MMFF94NonBonded.h.

## vdw_energy_

double BALL::MMFF94NonBonded::vdw_energy_

protected

Definition at line 131 of file MMFF94NonBonded.h.